Subject: Emacs command `dired-isearch-filenames-regexp' cause CPU usage 100%
From: Li Zhai <[email-masked]>
To: "bug.gnu.submit" <[email-masked]>
Date: Sun, 6 Jun 2010 11:36:00 +0800
List-Id: <debbugs-submit.debbugs.gnu.org>

Package: Emacs
Version: 23.2.1

I use the command `dired-isearch-filenames-regexp' to find some files
in a directory. I use the the anchor `^' to match the files start with
something. Emacs is suspended and the CPU usage is 100%.Here is a
transcript:

1. Open a directory in dired mode.
2. Input `M-x dired-isearch-filenames-regexp RET  ^ f RET'

Emacs will suspend rather than match the file names start with `f'.

I'm using Windows XP, Emacs version 23.2.

Bye,

Li Zhai